<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.alipay.sofa</groupId>
        <artifactId>sofaboot-enterprise-dependencies</artifactId>
        <version>2.6.1</version>
    </parent>

    <groupId>xyz.mynt.gctraining2</groupId>
    <artifactId>gctraining2-parent</artifactId>
    <version>1.0.0001</version>
    <packaging>pom</packaging>

    <properties>
        <java.version>1.8</java.version>
        <appFrameType>sofa-boot</appFrameType>
        <gctraining2.facade.version>1.0.0003</gctraining2.facade.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>xyz.mynt.gctraining2</groupId>
                <artifactId>gctraining2-facade</artifactId>
                <!-- project version -->
                <version>${gctraining2.facade.version}</version>
            </dependency>
            <dependency>
                <groupId>xyz.mynt.gctraining2</groupId>
                <artifactId>gctraining2-service</artifactId>
                <!-- project version -->
                <version>1.0.0001</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                </configuration>
                <version>3.3</version>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <includes>
                        <include>**/*Tests.java</include>
                        <include>**/*Test.java</include>
                    </includes>
                    <excludes>
                        <exclude>**/Abstract*.java</exclude>
                    </excludes>
                </configuration>
            </plugin>
        </plugins>
    </build>


    <profiles>
        <profile>
            <id>alipayplus_dev</id>
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
            <repositories>
                <repository>
                    <id>central</id>
                    <url>http://mvn.dev.alipayplus.net/nexus/content/groups/Ph-Group</url>
                    <snapshots>
                        <enabled>true</enabled>
                    </snapshots>
                </repository>
                <repository>
                    <id>snapshots</id>
                    <url>http://mvn.dev.alipayplus.net/nexus/content/groups/Ph-Group</url>
                    <releases>
                        <enabled>true</enabled>
                    </releases>
                </repository>
            </repositories>
            <pluginRepositories>
                <pluginRepository>
                    <id>central</id>
                    <url>http://mvn.dev.alipayplus.net/nexus/content/groups/Ph-Group</url>
                    <snapshots>
                        <enabled>true</enabled>
                    </snapshots>
                </pluginRepository>
            </pluginRepositories>
        </profile>

        <profile>
            <id>alipayplus_test</id>
            <activation>
                <property>
                    <name>env</name>
                    <value>test</value>
                </property>
            </activation>
            <repositories>
                <repository>
                    <id>central</id>
                    <url>http://mvn.release.alipayplus.net/nexus/content/groups/Ph-Group</url>
                    <snapshots>
                        <enabled>true</enabled>
                    </snapshots>
                </repository>
                <repository>
                    <id>snapshots</id>
                    <url>http://mvn.release.alipayplus.net/nexus/content/groups/Ph-Group</url>
                    <releases>
                        <enabled>true</enabled>
                    </releases>
                </repository>
            </repositories>
            <pluginRepositories>
                <pluginRepository>
                    <id>central</id>
                    <url>http://mvn.release.alipayplus.net/nexus/content/groups/Ph-Group</url>
                    <snapshots>
                        <enabled>true</enabled>
                    </snapshots>
                </pluginRepository>
            </pluginRepositories>
        </profile>

        <profile>
            <id>alipayplus_prod</id>
            <activation>
                <property>
                    <name>env</name>
                    <value>prod</value>
                </property>
            </activation>
            <repositories>
                <repository>
                    <id>central</id>
                    <url>http://mvn.release.alipayplus.net/nexus/content/groups/Ph-Group</url>
                    <snapshots>
                        <enabled>true</enabled>
                    </snapshots>
                </repository>
                <repository>
                    <id>snapshots</id>
                    <url>http://mvn.release.alipayplus.net/nexus/content/groups/Ph-Group</url>
                    <releases>
                        <enabled>true</enabled>
                    </releases>
                </repository>
            </repositories>
            <pluginRepositories>
                <pluginRepository>
                    <id>central</id>
                    <url>http://mvn.release.alipayplus.net/nexus/content/groups/Ph-Group</url>
                    <snapshots>
                        <enabled>true</enabled>
                    </snapshots>
                </pluginRepository>
            </pluginRepositories>
        </profile>
    </profiles>

<modules>
    <module>gctraining2-facade</module>
  <module>gctraining2-service</module>
  </modules>
</project>
